import { User } from './User';
export { User };
export interface ICCashClient {
    balance(user: string): Promise<number>;
    log(user: string, pass: string): Promise<number[]>;
    sendFunds(user: string, pass: string, to: string, amount: number): Promise<number>;
    verifyPassword(user: string, pass: string): Promise<boolean>;
    changePassword(user: string, pass: string, newPass: string): Promise<User>;
    setBalance(user: string, pass: string, amount: number): Promise<number>;
    help(): Promise<string>;
    ping(): Promise<boolean>;
    close(pass: string): Promise<boolean>;
    contains(user: string): Promise<boolean>;
    adminVerifyPass(pass: string): Promise<boolean>;
    addUser(user: string, pass: string): Promise<User>;
    adminAddUser(user: string, pass: string, initialPass: string, initialBalance: number): Promise<User>;
    deleteUser(user: string, pass: string): Promise<User>;
    adminDeleteUser(user: string, pass: string): Promise<User>;
}
